Hardware Locality (hwloc) 2.2.0

Functions
CPU and node sets of entire topologies

## Functions
hwloc_const_cpuset_t | hwloc_topology_get_complete_cpuset (hwloc_topology_t topology)
hwloc_const_cpuset_t | hwloc_topology_get_topology_cpuset (hwloc_topology_t topology)
hwloc_const_cpuset_t | hwloc_topology_get_allowed_cpuset (hwloc_topology_t topology)
hwloc_const_nodeset_t | hwloc_topology_get_complete_nodeset (hwloc_topology_t topology)
hwloc_const_nodeset_t | hwloc_topology_get_topology_nodeset (hwloc_topology_t topology)
hwloc_const_nodeset_t | hwloc_topology_get_allowed_nodeset (hwloc_topology_t topology)

## Detailed Description

## Function Documentation

## ◆ hwloc_topology_get_allowed_cpuset()

hwloc_const_cpuset_t hwloc_topology_get_allowed_cpuset | ( | hwloc_topology_t | topology | ) |

Get allowed CPU set.

Returns
  the CPU set of allowed logical processors of the system.

Note
  If the topology flag HWLOC_TOPOLOGY_FLAG_INCLUDE_DISALLOWED was not set, this is identical to hwloc_topology_get_topology_cpuset(), which means all PUs are allowed.
  If HWLOC_TOPOLOGY_FLAG_INCLUDE_DISALLOWED was set, applying hwloc_bitmap_intersects() on the result of this function and on an object cpuset checks whether there are allowed PUs inside that object. Applying hwloc_bitmap_and() returns the list of these allowed PUs.
  The returned cpuset is not newly allocated and should thus not be changed or freed, hwloc_bitmap_dup() must be used to obtain a local copy.

## ◆ hwloc_topology_get_allowed_nodeset()

hwloc_const_nodeset_t hwloc_topology_get_allowed_nodeset | ( | hwloc_topology_t | topology | ) |

Get allowed node set.

Returns
  the node set of allowed memory of the system.

Note
  If the topology flag HWLOC_TOPOLOGY_FLAG_INCLUDE_DISALLOWED was not set, this is identical to hwloc_topology_get_topology_nodeset(), which means all NUMA nodes are allowed.
  If HWLOC_TOPOLOGY_FLAG_INCLUDE_DISALLOWED was set, applying hwloc_bitmap_intersects() on the result of this function and on an object nodeset checks whether there are allowed NUMA nodes inside that object. Applying hwloc_bitmap_and() returns the list of these allowed NUMA nodes.
  The returned nodeset is not newly allocated and should thus not be changed or freed, hwloc_bitmap_dup() must be used to obtain a local copy.

## ◆ hwloc_topology_get_complete_cpuset()

hwloc_const_cpuset_t hwloc_topology_get_complete_cpuset | ( | hwloc_topology_t | topology | ) |

Get complete CPU set.

Returns
  the complete CPU set of logical processors of the system.

Note
  The returned cpuset is not newly allocated and should thus not be changed or freed; hwloc_bitmap_dup() must be used to obtain a local copy.
  This is equivalent to retrieving the root object complete CPU-set.

## ◆ hwloc_topology_get_complete_nodeset()

hwloc_const_nodeset_t hwloc_topology_get_complete_nodeset | ( | hwloc_topology_t | topology | ) |

Get complete node set.

Returns
  the complete node set of memory of the system.

Note
  The returned nodeset is not newly allocated and should thus not be changed or freed; hwloc_bitmap_dup() must be used to obtain a local copy.
  This is equivalent to retrieving the root object complete nodeset.

## ◆ hwloc_topology_get_topology_cpuset()

hwloc_const_cpuset_t hwloc_topology_get_topology_cpuset | ( | hwloc_topology_t | topology | ) |

Get topology CPU set.

Returns
  the CPU set of logical processors of the system for which hwloc provides topology information. This is equivalent to the cpuset of the system object.

Note
  The returned cpuset is not newly allocated and should thus not be changed or freed; hwloc_bitmap_dup() must be used to obtain a local copy.
  This is equivalent to retrieving the root object CPU-set.

## ◆ hwloc_topology_get_topology_nodeset()

hwloc_const_nodeset_t hwloc_topology_get_topology_nodeset | ( | hwloc_topology_t | topology | ) |

Get topology node set.

Returns
  the node set of memory of the system for which hwloc provides topology information. This is equivalent to the nodeset of the system object.

Note
  The returned nodeset is not newly allocated and should thus not be changed or freed; hwloc_bitmap_dup() must be used to obtain a local copy.
  This is equivalent to retrieving the root object nodeset.